Support » Plugin: LTI Tool » Stuck with an error in the LTI Tool

  • Resolved KNL

    (@knowdis)


    Hi,

    I’ve managed to somehow end up with two installations of the LTI Tool-plugin on a multisite (on Linux in Amazon Lightsail). I can’t update or uninstall either of them from the dashboard (nothing happens) or through FTP (permission denied). Initially I tried to de-activate and then uninstall it as per normal, which failed and caused the plugin to stop working and accepting updates, then tried to repair it by re-installing it, which caused the duplicate, and now I’m stuck.
    My careful analysis of the debug info below is that a few bits of information seem to have eloped. Is there a file I can replace or some other action I can take?
    I’m a not very technical person happy to tackle a job but in need of a spanner and some guidance on how to wield it :-/

    Thanks in advance.

    Debug notices:

    [25-May-2022 08:57:40 UTC] PHP Warning require_once(/opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/lti-tool/includes/lib.php): failed to open stream: No such file or directory in /opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/lti-tool/uninstall.php on line 36
    
    [25-May-2022 08:57:40 UTC] PHP Fatal error require_once(): Failed opening required '/opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/lti-tool/includes/lib.php' (include_path='.:/opt/bitnami/php/lib/php') in /opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/lti-tool/uninstall.php on line 36
    
    [25-May-2022 08:59:48 UTC] PHP Warning require_once(/opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/lti-tool/includes/lib.php): failed to open stream: No such file or directory in /opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/lti-tool/lti-tool.php on line 51
    
    [25-May-2022 08:59:48 UTC] PHP Fatal error require_once(): Failed opening required '/opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/lti-tool/includes/lib.php' (include_path='.:/opt/bitnami/php/lib/php') in /opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/lti-tool/lti-tool.php on line 51
    
    [25-May-2022 08:59:49 UTC] PHP Warning require_once(/opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/lti-tool/includes/lib.php): failed to open stream: No such file or directory in /opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/lti-tool/lti-tool.php on line 51
    
    [25-May-2022 08:59:49 UTC] PHP Fatal error require_once(): Failed opening required '/opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/lti-tool/includes/lib.php' (include_path='.:/opt/bitnami/php/lib/php') in /opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/lti-tool/lti-tool.php on line 51
    
    [25-May-2022 08:59:50 UTC] PHP Warning require_once(/opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/lti-tool/includes/lib.php): failed to open stream: No such file or directory in /opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/lti-tool/lti-tool.php on line 51
    
    [25-May-2022 08:59:50 UTC] PHP Fatal error require_once(): Failed opening required '/opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/lti-tool/includes/lib.php' (include_path='.:/opt/bitnami/php/lib/php') in /opt/bitnami/apps/wordpress/htdocs/wp-content/plugins/lti-tool/lti-tool.php on line 51
Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Author Stephen P Vickers

    (@spvickers)

    Which versions of the plugin do you have installed?

    The errors appear to be reporting missing files from your server, so have you tried reinstalling the LTI Tool plugin from the WordPress plugin repository? I cannot replicate any issue with deleting and reinstalling the plugin on my WordPress 6.0 server.

    Thread Starter KNL

    (@knowdis)

    Thanks for your quick reponse! I’m on 3.0.0. I can’t re-install (from a downloaded zipfile) or update (from WP). The bit in Dutch at the end of the error message below says ‘Can’t install update because certain files could not be copied. Usually this is due to inconsistent file authorizations.’

    js, index.php, readme.txt, lti-tool.php, includes, uninstall.php, css, images, vendor

    Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
    
    Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
    
    Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
    
    Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
    
    Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
    
    Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
    
    Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
    
    Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
    
    Warning: chmod(): Operation not permitted in /opt/bitnami/apps/wordpress/htdocs/wp-admin/includes/class-wp-filesystem-direct.php on line 173
    
    De update kan niet worden geïnstalleerd omdat sommige bestanden niet konden worden gekopieerd. Dit is meestal te wijten aan inconsistente bestandsrechten. js, index.php, readme.txt, lti-tool.php, includes, uninstall.php, css, images, vendor
    
    Updaten plugin mislukt.
    Plugin Author Stephen P Vickers

    (@spvickers)

    It looks like the issue might be a file permissions one with your WordPress server, particularly given your previous report of being unable to delete it using FTP. Have you tried updating the permissions on the plugins directory? Are you able to install and delete other plugins?

    Thread Starter KNL

    (@knowdis)

    No issues with other plugins and no difference that I can see, in FileZilla, between the ‘plugins’ directory and other directories or between the directory of the LTI Tool plugin and directories of other plugins. : they all say 775 (Owner and Group can read, write & execute, Public can read & execute). I can rename the directories but not delete them.

    Thread Starter KNL

    (@knowdis)

    Update: I managed to delete the directory lti-tool, which was the second installation I think, using ssh. The other ended up with permission denied.

    So I have one directory (and one plugin) left. I tried setting permissions on the whole directory (which FileZilla calls ‘recurse into directories and files’). This fails with permission denied on about two-thirds of the files. So I guess I need to sort that out(?)

    Plugin Author Stephen P Vickers

    (@spvickers)

    That’s good news. I assume the stubborn one is in the lti directory. This would have been installed manually as it was never in the WordPress repository. Perhaps if you can recall how it was installed, or who installed it, that may give you some clues. Check also who owns the directory – does it look different from the others?

    Thread Starter KNL

    (@knowdis)

    I’m the only one who uses this installation, so a bit of a mystery. But I’ve made some progress and I’ll keep working on getting rid of the remaining bits. Past experience says there is a fair chance that I will blunder into a solution at some point.

    Many thanks for your support!

    Thread Starter KNL

    (@knowdis)

    The blundering went fairly quickly. I’m not familiar with Linux cli and wouldn’t have thought of this on my own, but a forum post I found mentioned typing ‘sudo + command’ instead of just the delete command in ssh. Equivalent to ‘Run as administrator’ in Windows I suppose. Not so much as a squeak (or a whoosh) from the files and they’re all gone.

    I’m sure the plugin was not at fault. Thank you for providing it and thanks again for your help.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Stuck with an error in the LTI Tool’ is closed to new replies.